Bug 250134

Summary: Digikam crashed during search for duplicates
Product: digikam Reporter: cirdan52
Component: Searches-SimilarityAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, cirdan52, oleg.atamanenko+kde
Priority: NOR    
Version: 1.4.0   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 1.7.0
Attachments: output of massif
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description cirdan52 2010-09-04 05:26:25 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.6.3
Operating System: Linux 2.6.34-12-pae i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed: Was looking for duplicates in a very large file (excess of 100,000 pictures). Digikam uses up all the memory and then crashes.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0xb2053960 (LWP 1099))]

Thread 15 (Thread 0xafd77b70 (LWP 1100)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a3724c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb575c710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x082f956a in Digikam::ScanController::run (this=0x8588328) at /usr/src/debug/digikam-1.4.0/digikam/scancontroller.cpp:515
#5  0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#6  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#7  0xb4a2946e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xaf576b70 (LWP 1105)):
#0  0xb2d8022b in clock_gettime () from /lib/librt.so.1
#1  0xb587e75c in ?? () from /usr/lib/libQtCore.so.4
#2  0xb5882b16 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb588156b in ?? () from /usr/lib/libQtCore.so.4
#4  0xb588160d in ?? () from /usr/lib/libQtCore.so.4
#5  0xb2cd40c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb2cd4f22 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#8  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#12 0xb665a00b in Digikam::ImageFilterModelWorker::Thread::run (this=0x85a88b0) at /usr/src/debug/digikam-1.4.0/libs/models/imagefiltermodelthreads.h:66
#13 0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#14 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#15 0xb4a2946e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xae88eb70 (LWP 1106)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4a1e75e in poll () from /lib/libc.so.6
#2  0xb2ce51db in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb2cd5286 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb665a00b in Digikam::ImageFilterModelWorker::Thread::run (this=0x85fc4b0) at /usr/src/debug/digikam-1.4.0/libs/models/imagefiltermodelthreads.h:66
#10 0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#12 0xb4a2946e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xad3ffb70 (LWP 1107)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a3724c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb575c710 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb6959deb in Digikam::ParkingThread::run (this=0x85a69a0) at /usr/src/debug/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#5  0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#6  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#7  0xb4a2946e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xacbfeb70 (LWP 1108)):
#0  0xb4479544 in pthread_mutex_unlock () from /lib/libpthread.so.0
#1  0xb4a374a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb2cd4717 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2cd5108 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#11 0xb4a2946e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xac3fdb70 (LWP 1109)):
#0  0xb4477fed in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb4a37464 in pthread_mutex_lock () from /lib/libc.so.6
#2  0xb2cd55f3 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#8  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#9  0xb4a2946e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa882ab70 (LWP 1111)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a372a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9ac71d7 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4a2946e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa7be5b70 (LWP 1112)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a372a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9ad5c41 in video_out_loop () from /usr/lib/libxine.so.1
#4  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4a2946e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa73e4b70 (LWP 1113)):
#0  0xb4479494 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb4a374a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb2cd40b3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0xb2cd4f22 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xa9b20dc8 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#10 0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#12 0xb4a2946e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa6be3b70 (LWP 1117)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb4a1897b in read () from /lib/libc.so.6
#2  0xa9da38e1 in ?? () from /usr/lib/libasound.so.2
#3  0xa9d9f0ec in snd_ctl_read () from /usr/lib/libasound.so.2
#4  0xa9d9cb46 in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#5  0xa9da9341 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#6  0xa8017091 in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.29/xineplug_ao_out_alsa.so
#7  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#8  0xb4a2946e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa63e2b70 (LWP 1118)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a3724c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9ada180 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb4475b25 in start_thread () from /lib/libpthread.so.0
#5  0xb4a2946e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa5be1b70 (LWP 1119)):
#0  0xb4479494 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb4a374a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb2cd50cf in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0xb5835afd in ?? () from /usr/lib/libQtCore.so.4
#9  0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#11 0xb4a2946e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa5237b70 (LWP 1126)):
#0  0xb4477fed in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb4a37464 in pthread_mutex_lock () from /lib/libc.so.6
#2  0xb2cd40ef in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0xb2cd4f22 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2cd560e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5881d97 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb585511d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb5855319 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb5759403 in QThread::exec() () from /usr/lib/libQtCore.so.4
#9  0xb5835afd in ?? () from /usr/lib/libQtCore.so.4
#10 0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#12 0xb4a2946e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa3233b70 (LWP 1134)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb447a125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb4a3724c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb575b05c in ?? () from /usr/lib/libQtCore.so.4
#4  0xb575741a in QMutex::lock() () from /usr/lib/libQtCore.so.4
#5  0xb586b7bd in ?? () from /usr/lib/libQtCore.so.4
#6  0xb586be78 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib/libQtCore.so.4
#7  0xaed6d99f in QMYSQLResult::QMYSQLResult(QMYSQLDriver const*) () from /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so
#8  0xaed6da24 in QMYSQLDriver::createResult() const () from /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so
#9  0xb6e88a20 in ?? () from /usr/lib/libQtSql.so.4
#10 0xb6e88afd in QSqlQuery::QSqlQuery(QSqlDatabase) () from /usr/lib/libQtSql.so.4
#11 0xb6902f31 in Digikam::SqlQuery::SqlQuery (this=0xa3232d50, db=...) at /usr/src/debug/digikam-1.4.0/libs/database/sqlquery.cpp:35
#12 0xb68ee318 in Digikam::DatabaseCoreBackend::getQuery (this=0x85af9d0) at /usr/src/debug/digikam-1.4.0/libs/database/databasecorebackend.cpp:1109
#13 0xb68ef51e in Digikam::DatabaseCoreBackend::prepareQuery (this=0x85af9d0, sql=...) at /usr/src/debug/digikam-1.4.0/libs/database/databasecorebackend.cpp:1074
#14 0xb68efa4d in Digikam::DatabaseCoreBackend::execQuery (this=0x85af9d0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...)
    at /usr/src/debug/digikam-1.4.0/libs/database/databasecorebackend.cpp:798
#15 0xb68efb8e in Digikam::DatabaseCoreBackend::execSql (this=0x85af9d0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0xa3232ea0)
    at /usr/src/debug/digikam-1.4.0/libs/database/databasecorebackend.cpp:744
#16 0xb68fc18e in Digikam::ThumbnailDB::insertThumbnail (this=0xfffffe00, info=..., lastInsertId=0xa3232f2c) at /usr/src/debug/digikam-1.4.0/libs/database/thumbnaildb.cpp:187
#17 0xb692e1ca in Digikam::ThumbnailCreator::storeInDatabase (this=0xfffffe00, info=..., image=...) at /usr/src/debug/digikam-1.4.0/libs/threadimageio/thumbnailcreator.cpp:592
#18 0xb6932f48 in Digikam::ThumbnailCreator::load (this=0x90a81f0, path=...) at /usr/src/debug/digikam-1.4.0/libs/threadimageio/thumbnailcreator.cpp:201
#19 0xb693b90a in Digikam::ThumbnailLoadingTask::execute (this=0xa13e750) at /usr/src/debug/digikam-1.4.0/libs/threadimageio/thumbnailtask.cpp:133
#20 0xb6918298 in Digikam::LoadSaveThread::run (this=0x90a7fa8) at /usr/src/debug/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#21 0xb695af36 in Digikam::DynamicThreadPriv::run (this=0x90a6b58) at /usr/src/debug/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#22 0xb5751c2f in ?? () from /usr/lib/libQtCore.so.4
#23 0xb575c04f in ?? () from /usr/lib/libQtCore.so.4
#24 0xb4475b25 in start_thread () from /lib/libpthread.so.0
#25 0xb4a2946e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2053960 (LWP 1099)):
[KCrash Handler]
#7  0xffffe424 in __kernel_vsyscall ()
#8  0xb49817ff in raise () from /lib/libc.so.6
#9  0xb4983140 in abort () from /lib/libc.so.6
#10 0xb4bbf7dd in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#11 0xb4bbd533 in ?? () from /usr/lib/libstdc++.so.6
#12 0xb4bbd56f in std::terminate() () from /usr/lib/libstdc++.so.6
#13 0xb4bbd73a in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#14 0xb586b39b in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x0824c6d7 in Digikam::AlbumManager::signalAllAlbumsLoaded (this=0x8582f60) at /usr/src/debug/digikam-1.4.0/build/digikam/albummanager.moc:257
#16 0x0826072a in Digikam::AlbumManager::startScan (this=0x8582f60) at /usr/src/debug/digikam-1.4.0/digikam/albummanager.cpp:1090
#17 0x082ab65a in Digikam::DigikamApp::DigikamApp (this=0x862c040, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/digikam-1.4.0/digikam/digikamapp.cpp:248
#18 0x0836ae7a in main (argc=) at /usr/src/debug/digikam-1.4.0/digikam/main.cpp:172

Reported using DrKonqi
Comment 1 caulier.gilles 2010-09-04 08:10:49 UTC
Crash appear in AlbumManager class...

Gilles Caulier
Comment 2 Marcel Wiesweg 2010-09-04 12:31:59 UTC
#12 0xb4bbd56f in std::terminate() () from /usr/lib/libstdc++.so.6
#13 0xb4bbd73a in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#14 0xb586b39b in QMetaObject::activate(QObject*, QMetaObject const*, int,
void**) () from /usr/lib/libQtCore.so.4
#15 0x0824c6d7 in Digikam::AlbumManager::signalAllAlbumsLoaded (this=0x8582f60)

An exception is thrown from a slot connected to this signal.
 - console output should indicate the type of exception
 - running under gdb and setting a catchpoint with "catch throw" should stop when throwing, allowing a nice backtrace for this point
Comment 3 cirdan52 2010-09-04 15:39:01 UTC
On Saturday, September 04, 2010 06:32:01 am Marcel Wiesweg wrote:
> https://bugs.kde.org/show_bug.cgi?id=250134
> 
> 
> 
> 
> 
> --- Comment #2 from Marcel Wiesweg <marcel wiesweg gmx de>  2010-09-04
> 12:31:59 --- #12 0xb4bbd56f in std::terminate() () from
> /usr/lib/libstdc++.so.6 #13 0xb4bbd73a in __cxa_rethrow () from
> /usr/lib/libstdc++.so.6
> #14 0xb586b39b in QMetaObject::activate(QObject*, QMetaObject const*, int,
> void**) () from /usr/lib/libQtCore.so.4
> #15 0x0824c6d7 in Digikam::AlbumManager::signalAllAlbumsLoaded
> (this=0x8582f60)
> 
> An exception is thrown from a slot connected to this signal.
>  - console output should indicate the type of exception
>  - running under gdb and setting a catchpoint with "catch throw" should
> stop when throwing, allowing a nice backtrace for this point

Not quite sure of how to use gdb. This is the first bug I've reported. I ran 
gdb in the console  gdb /usr/bin/digikam I didn't see any output etc. And how 
do you set the catchpoint with gdb etc?
Comment 4 caulier.gilles 2010-09-04 16:13:23 UTC
Look there : http://www.digikam.org/drupal/contrib

Gilles Caulier
Comment 5 cirdan52 2010-09-04 16:46:52 UTC
On Saturday, September 04, 2010 10:13:24 am Gilles Caulier wrote:
> https://bugs.kde.org/show_bug.cgi?id=250134
> 
> 
> 
> 
> 
> --- Comment #4 from Gilles Caulier <caulier gilles gmail com>  2010-09-04
> 16:13:23 --- Look there : http://www.digikam.org/drupal/contrib
> 
> Gilles Caulier

Program received signal SIGABRT, Aborted.
0xffffe424 in __kernel_vsyscall ()
(gdb) bt
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb51ae7ff in raise () from /lib/libc.so.6
#2  0xb51b0140 in abort () from /lib/libc.so.6
#3  0xb53ec7dd in __gnu_cxx::__verbose_terminate_handler() () from 
/usr/lib/libstdc++.so.6
#4  0xb53ea533 in ?? () from /usr/lib/libstdc++.so.6
#5  0xb53ea56f in std::terminate() () from /usr/lib/libstdc++.so.6
#6  0xb53ea73a in __cxa_rethrow () from /usr/lib/libstdc++.so.6
#7  0xb609839b in QMetaObject::activate(QObject*, QMetaObject const*, int, 
void**) ()
   from /usr/lib/libQtCore.so.4
#8  0x0824c6d7 in Digikam::AlbumManager::signalAllAlbumsLoaded 
(this=0x8581928)
    at /usr/src/debug/digikam-1.4.0/build/digikam/albummanager.moc:257
#9  0x0826072a in Digikam::AlbumManager::startScan (this=0x8581928)
    at /usr/src/debug/digikam-1.4.0/digikam/albummanager.cpp:1090
#10 0x082ab65a in Digikam::DigikamApp::DigikamApp (this=0x85980c0, 
    __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /usr/src/debug/digikam-1.4.0/digikam/digikamapp.cpp:248
#11 0x0836ae7a in main (argc=Cannot access memory at address 0x27fe
) at /usr/src/debug/digikam-1.4.0/digikam/main.cpp:172
(gdb)
Comment 6 Marcel Wiesweg 2010-09-04 16:48:20 UTC
I see, digikam uses up all memory. Chances are it is std::bad_alloc thrown, you'll see that in the console.
To set the catchpoint in gdb, the command is "catch throw".

If it is really using up memory, it will be more interesting to see where the memory is used. Running "valgrind --tool=massif digikam" will run digikam, albeit very slow, watching its memory usage and producing an output file massif.out.xy.
Comment 7 cirdan52 2010-09-05 02:45:30 UTC
On Saturday, September 04, 2010 10:48:20 am Marcel Wiesweg wrote:
> https://bugs.kde.org/show_bug.cgi?id=250134
> 
> 
> 
> 
> 
> --- Comment #6 from Marcel Wiesweg <marcel wiesweg gmx de>  2010-09-04
> 16:48:20 --- I see, digikam uses up all memory. Chances are it is
> std::bad_alloc thrown, you'll see that in the console.
> To set the catchpoint in gdb, the command is "catch throw".
> 
> If it is really using up memory, it will be more interesting to see where
> the memory is used. Running "valgrind --tool=massif digikam" will run
> digikam, albeit very slow, watching its memory usage and producing an
> output file massif.out.xy.
Comment 8 Christoph Feck 2010-09-28 23:57:50 UTC
You need to attach the file using the "Add an attachment" link on this web page, sending attachments by mail will not work.
Comment 9 cirdan52 2010-10-02 16:09:46 UTC
Created attachment 52167 [details]
output of massif
Comment 10 caulier.gilles 2010-10-06 10:18:24 UTC
Marcel,

Do you see the trace in #9 ?

Gilles Caulier
Comment 11 Marcel Wiesweg 2010-10-06 15:40:49 UTC
Yes. It stops somewhere at 15MB memory usage, that should be early in the startup. I dont see anything related there.
Comment 12 Oleg Atamanenko 2010-10-09 01:21:36 UTC
Created attachment 52359 [details]
New crash information added by DrKonqi

digikam (1.4.0) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:

I tried to update fingerprint database, but digikam crashed after several minutes.

-- Backtrace (Reduced):
#8  0xb68b8880 in Digikam::LoadSaveThread::run (this=0xbfd7660) at /home/uthark/Download/src/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#9  0xb68faa66 in Digikam::DynamicThreadPriv::run (this=0xa46a830) at /home/uthark/Download/src/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
[...]
[...]
[...]
[...]
Comment 13 caulier.gilles 2010-10-09 09:48:53 UTC
Crash is there :

http://lxr.kde.org/source/extragear/graphics/digikam/libs/threadimageio/loadsavethread.cpp#116

Gilles Caulier
Comment 14 cirdan52 2010-10-12 06:01:02 UTC
Created attachment 52432 [details]
New crash information added by DrKonqi

digikam (1.5.0) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:
Looking for 100% duplicates, took 6 hrs to get to 100% and then it started using up memory, no thumbnails were displayed. It then terminated without a crash. I tried it a second time which resulted in a crash

-- Backtrace (Reduced):
#7  0xb47b8d99 in ycc_rgb_convert (cinfo=0xa3c35b48, input_buf=0x7e2ed9c8, input_row=<value optimized out>, output_buf=0xa3c35b44, num_rows=<value optimized out>) at jdcolor.c:149
#8  0xb47c1a5c in sep_upsample (cinfo=0xa3c35b48, input_buf=0x7e2edf2c, in_row_group_ctr=0x7e2edf58, in_row_groups_avail=1, output_buf=0xa3c35b40, out_row_ctr=0xa3c35acc, 
    out_rows_avail=<value optimized out>) at jdsample.c:129
#9  0xb47bd44b in process_data_simple_main (cinfo=0xa3c35b48, output_buf=0xa3c35b40, out_row_ctr=0xa3c35acc, out_rows_avail=1) at jdmainct.c:367
#10 0xb47b5a30 in jpeg_read_scanlines (cinfo=0xa3c35b48, scanlines=0xa3c35b40, max_lines=1) at jdapistd.c:173
#11 0xb6a1916f in Digikam::loadJPEGScaled (image=..., path=..., maximumSize=256) at /usr/src/debug/digikam-1.5.0/libs/jpegutils/jpegutils.cpp:223
Comment 15 caulier.gilles 2010-10-12 06:49:05 UTC
It crash in libjpeg. It can be a binary uncompatibility between digiKam and libjpeg installed to your computer. Check your packages.

Gilles Caulier
Comment 16 cirdan52 2010-10-12 14:15:28 UTC
I have 2 libjpeg libraries:

libjpeg6 6.2.0-3.1
libjpeg8 8.01-2.1.1
Comment 17 caulier.gilles 2010-10-12 14:20:50 UTC
This is the problem... only libjpeg version 8 must be installed on your system

Gilles Caulier
Comment 18 cirdan52 2010-10-12 15:17:56 UTC
Google takes issue with not having libjpeg6, their chrome browser needs 6.
Comment 19 cirdan52 2010-10-12 17:03:31 UTC
Created attachment 52452 [details]
New crash information added by DrKonqi

digikam (1.5.0) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:
Removed libjpeg6,  crashed again. 
Observation: It seems to me that the database is getting corrupted. The only way for me to get it ro run again is to delete the database entirely , restart and then just select a few of the directories instead of the entire album.

-- Backtrace (Reduced):
#15 0xb69679c5 in CPGFImage::SetHeader (this=0xa3a48974, header=..., flags=0 '\000', userData=0x0, userDataLength=0) at /usr/src/debug/digikam-1.5.0/libs/3rdparty/libpgf/PGFimage.cpp:600
#16 0xb696f587 in Digikam::writePGFImageData (img=..., data=..., quality=0) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/pgfutils.cpp:116
#17 0xb694500a in Digikam::ThumbnailCreator::storeInDatabase (this=0x0, info=..., image=...) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailcreator.cpp:536
#18 0xb6949d18 in Digikam::ThumbnailCreator::load (this=0x9165c10, path=...) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailcreator.cpp:201
#19 0xb6953c7a in Digikam::ThumbnailLoadingTask::execute (this=0xb76b530) at /usr/src/debug/digikam-1.5.0/libs/threadimageio/thumbnailtask.cpp:133
Comment 20 caulier.gilles 2010-11-24 09:12:19 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 21 Oleg Atamanenko 2010-11-24 16:48:26 UTC
I cannot reproduce this bug on the last version 1.6.0 under Archlinux. I guess, it is fixed.